Bug 485415 - usage: usage: yumdownloader ...
usage: usage: yumdownloader ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 09:23 EST by Milos Malik
Modified: 2014-01-21 01:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 16:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-02-13 09:23:03 EST
Description of problem:
The message, which is printed when someone runs yumdownloader without any parameter, contains the word "usage" twice. I think that one word "usage" is enough :-)

Version-Release number of selected component (if applicable):
yum-utils-1.1.16-13.el5.noarch

How reproducible:
always

Steps to Reproduce:
# yumdownloader | grep usage
usage: "usage: yumdownloader [options] package1 [package2] [package..]
# 
  
Actual results:
"usage" is printed two times

Expected results:
"usage" is printed only once

Additional info:
Comment 2 Milos Malik 2009-02-13 10:02:09 EST
Could you please fix the yum-builddep too? The same issue ...

usage: "usage: yum-builddep [options] package1 [package2] [package..]
Comment 3 seth vidal 2009-02-13 10:17:07 EST
and in repo-rss. fixed in both.
Comment 4 RHEL Product and Program Management 2009-03-26 13:08:06 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 James Antill 2013-03-14 16:01:48 EDT
Is fixed in RHEL-6.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.